<script lang="ts">
  import { archivedTeams, activeTeams } from '../stores';
  import { goto } from '$app/navigation';
  import HeaderWithBackdrop from '$lib/components/ui-elements/HeaderWithBackdrop.svelte';
  import { Button } from "flowbite-svelte";
</script>

<div class="my-10 w-full">
  <section class="flex flex-col mx-5 2xl:mx-auto 2xl:w-2/3">
    {#if $activeTeams.length}
      <HeaderWithBackdrop size="sm" secondary wrap>Active Teams</HeaderWithBackdrop>
      <table class="table-auto">
        <thead>
          <tr>
            <th class="text-left pl-3">Team Name</th>
            <th class="text-center pl-3">Size</th>
            <th class="text-left pl-3 max-sm:hidden">Institution</th>
            <th class="text-left pl-3">Events</th>
          </tr>
        </thead>
        <tbody>
          {#each $activeTeams as team}
            <tr class="hover:bg-gray-100 cursor-pointer" on:click={() => goto(`/user-dashboard/teams/${team.id}`)}>
              <td class="pl-3">{team.long_name || team.name}</td>
              <td class="pl-3 text-center whitespace-nowrap">
                {team.members.length}
                {#if team.max_team_size !== null}
                  / {team.max_team_size}
                {/if}
              </td>
              <td class="pl-3 max-sm:hidden">{team.institution?.name || ''}</td>
              <td class="pl-3">
                {#each team.events as event}
                  <p>{event.event.name}</p>
                {/each}
              </td>
            </tr>
          {/each}
        </tbody>
      </table>
    {:else}
      <div class="text-center p-4 bg-blue-100 rounded-lg shadow-md">
        <p class="text-lg font-semibold mb-3">🚀 Hey there, future cyber champ! 🕵️‍♂️</p>
        <p class="text-sm mb-3">
          Looks like you're not yet part of a team at your institution. No problem, this is your chance to lead and
          innovate in the cyber world! 🎮
        </p>
        <p class="text-sm">
          Ready to start your own team and make a mark? Or, explore and see what teams from your institution are up to.
          Your cyber adventure is just a click away! 🌐
        </p>
        <div class="flex justify-center mt-4">
          <Button
            data-umami-event="Create Team"
            data-umami-event-source="Intro Banner"
            href="/user-dashboard/teams/create"
            class="bg-green-500 hover:bg-green-700 text-white font-bold py-2 px-4 rounded mr-2">Create a Team</Button>
          <Button
            data-umami-event="Discover Teams"
            data-umami-event-source="Intro Banner"
            href="/user-dashboard/teams/discover"
            class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded">Discover Teams</Button>
        </div>
      </div>
    {/if}
  </section>

  <section class="flex flex-col mx-5 2xl:mx-auto 2xl:w-2/3 pt-4">
    {#if $archivedTeams.length}
      <HeaderWithBackdrop size="sm" secondary wrap>Archived Teams</HeaderWithBackdrop>
      <table class="table-auto">
        <thead>
          <tr>
            <th class="text-left pl-3">Team Name</th>
            <th class="text-center pl-3">Size</th>
            <th class="text-left pl-3 max-sm:hidden">Institution</th>
            <th class="text-left pl-3">Events</th>
          </tr>
        </thead>
        <tbody>
          {#each $archivedTeams as team}
            <tr class="hover:bg-gray-100 cursor-pointer" on:click={() => goto(`/user-dashboard/teams/${team.id}`)}>
              <td class="pl-3">{team.long_name || team.name}</td>
              <td class="pl-3 text-center whitespace-nowrap">
                {team.members.length}
                {#if team.max_team_size !== null}
                  / {team.max_team_size}
                {/if}
              </td>
              <td class="pl-3 max-sm:hidden">{team.institution?.name || ''}</td>
              <td class="pl-3">
                {#each team.events as event}
                  <p>{event.event.name}</p>
                {/each}
              </td>
            </tr>
          {/each}
        </tbody>
      </table>
    {/if}
  </section>
</div>
